﻿html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

/* ---------- Search ---------- */


#searchResults {
    max-height: 400px;
    overflow-y: auto;
    border-radius: 0 0 12px 12px;
    margin-top: 2px;
}

    #searchResults .list-group-item {
        border-left: 0;
        border-right: 0;
        transition: all .2s ease;
    }

        #searchResults .list-group-item:hover {
            background: #f5f9ff;
        }

    #searchResults .fw-bold {
        font-size: 1.15rem;
    }

    #searchResults::-webkit-scrollbar {
        width: 8px;
    }

    #searchResults::-webkit-scrollbar-thumb {
        background: #c7d4ea;
        border-radius: 10px;
    }

.search-box {
    height: 60px;
    padding: 0 20px;
    border-radius: 12px;
}

.fabric-group-badge {
    display: inline-block;
    padding: 4px 10px;
    font-size: 12px;
    font-weight: 600;
    color: #0d6efd;
    background-color: #eef5ff;
    border: 1px solid #cfe2ff;
    border-radius: 20px;
}

.search-product-code {
    font-size: 0.85rem;
    color: #6c757d;
    letter-spacing: 0.5px;
}
.search-selected {
    background-color: #e7f1ff !important;
    border-left: 4px solid #0d6efd;
}
.current-fabric {
    background: #eef5ff;
    border-left: 4px solid #0d6efd;
}

    .current-fabric .text-primary {
        color: #0d6efd !important;
    }

/* ===============================
   Product Detail Page
================================= */

.product-image-card {
    height: 600px;
    overflow: hidden;
}

.product-image {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
    display: block;
    padding: 20px;
}

.placeholder-image {
    object-fit: cover;
    object-position: center;
    padding: 0; /* ← En önemli satır */
}

.product-info-card {
    height: 600px;
}

